import Vue from 'vue'
import App from './App.vue'
import router from './router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import '../static/iconfont/iconfont.css'
import pubFun from '@/utils/pubFun';
import store from './store'
import md5 from 'js-md5'
// import { getDicts } from "@/api/system/dict/data";

Vue.use(ElementUI)
Vue.use(router)
import global from './common'
Vue.prototype.GLOBAL = global

Vue.config.productionTip = false;
Vue.prototype.$pubFun = pubFun;
// Vue.prototype.getDicts = getDicts
Vue.prototype.$md5 = md5
new Vue({
  render: h => h(App),
  router,
  store
}).$mount('#app')
